DELETE FROM tHE_OrderSurrCh WHERE acKey  = @acKey AND anNo = @anNo; 
DELETE FROM tHE_OrderPrSt  WHERE acKey  = @acKey AND anNo = @anNo; 
DELETE FROM tHE_OrderDispList   WHERE acKey  = @acKey AND anNo = @anNo; 
DELETE SR FROM tHE_StockRes SR 
    JOIN tHE_StockResOrder SRO ON SR.anQId = SRO.anStockResQId 
    JOIN the_OrderItem OI ON OI.anQId = SRO.anOrderItemQId 
WHERE OI.acKey = @acKey AND OI.anNo = @anNo; 
DELETE FROM tHE_LinkOrderItemProdSt WHERE acKey  = @acKey AND anLnkNo = @anNo; 
DELETE FROM tHE_MoveItemSerialNo WHERE acKey  = @acKey AND anNo = @anNo;